<%@ Page Language="C#" AutoEventWireup="true"
CodeFile="Default.aspx.cs" Inherits="_Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML
Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<script language="javascript" type="text/javascript">
  var xmlHttp = false;
  function getXmlHttpRequestObject()
  {
    try
    {
      // Implementacja dla IE.
      xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    catch(e)
    {
      try
      {
        // Implementacja dla starych przeglądarek.
        xmlHttp = new ActiveXObject("MsXml2.XMLHTTP");
      }
      catch(exp)
      {
        xmlHttp = false;
      }
    }
    if (!xmlHttp && typeof XmlHttpRequest != 'undefined')
    {
      // Przeglądarki typu Mozilla.
      //Tworzenie żądania rodzimego obiektu.
      xmlHttp = new XmlHttpRequest();
    }
  }
  </script>

<head runat="server">
  <title>Tworzenie pierwszej aplikacji ASP.NET Ajax</title>
</head>
<body>
  <form id="form1" runat="server">
    <div>
      Twoja pierwsza aplikacja AJAX działa!
    </div>
  </form>
</body>
</html>
